%define upstream_name    Net-Rendezvous-Publish-Backend-Avahi
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Publish zeroconf data with the Avahi library
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/Net-Rendezvous-Publish-Backend-Avahi-%{upstream_version}.tar.gz

Provides:   perl-Net-Rendezvous-Publish-Backend
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Net::DBus)
BuildRequires: perl(Net::Rendezvous::Publish)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module publishes zeroconf data with the Avahi library
It is a backend for the Net::Rendezvous::Publish module.

%prep
%setup -q -n Net-Rendezvous-Publish-Backend-Avahi-%{upstream_version}

%build
%__perl Build.PL installdirs=vendor
./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json MYMETA.yml SIGNATURE

%{perl_vendorlib}/Net/*
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.40.0-7.mga6
+ Revision: 1031314
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.40.0-6.mga6
+ Revision: 942920
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.40.0-5.mga5
+ Revision: 739029
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.40.0-4.mga5
+ Revision: 685714
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 513546
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 370858
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jul 05 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 268051
- update to 0.04

* Wed Jan 19 2011 jquelin <jquelin> 0.30.0-1.mga1
+ Revision: 23901
- cleaning spec file
- imported package perl-Net-Rendezvous-Publish-Backend-Avahi


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 406175
- rebuild using %%perl_convert_version

* Thu Jul 03 2008 Michael Scherer <misc@mandriva.org> 0.03-3mdv2009.0
+ Revision: 230902
- rebuild
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun May 20 2007 Michael Scherer <misc@mandriva.org> 0.03-1mdv2008.0
+ Revision: 28773
- new version 0.03


* Thu Nov 02 2006 Michael Scherer <misc@mandriva.org> 0.02-2mdv2007.0
+ Revision: 75748
- Bump release
- provides perl-Net-Rendezvous-Publish-Backend, like howl backend
- Do not ship empty directory
- Import perl-Net-Rendezvous-Publish-Backend-Avahi

